iClicker Cloud System Requirements

Document created by Digital Support on May 19, 2017Last modified by Digital Support on Jul 17, 2017
Version 2Show Document
  • View in full screen mode
Most computers purchased within the last 3-4 years will work well with iClicker Cloud. iClicker Cloud is compatible with the following operating systems: 

Windows: Windows 7 or newer with a .NET Framework v4.5 or higher
Mac: OS X Mavericks (10.9.5) or newer

Attachments

    Outcomes